Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 614130 - implement tomcat6 resource agent since RHEL6 does not have tomcat5
implement tomcat6 resource agent since RHEL6 does not have tomcat5
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: luci (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Jan Pokorný [poki]
Cluster QE
: Regression
Depends On: 591003 593721 637802
Blocks: 614127
  Show dependency treegraph
 
Reported: 2010-07-13 13:55 EDT by Marek Grac
Modified: 2016-04-26 09:54 EDT (History)
9 users (show)

See Also:
Fixed In Version: luci-0.22.2-13.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 593721
Environment:
Last Closed: 2010-11-10 17:11:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 5 Jan Pokorný [poki] 2010-08-03 12:51:26 EDT
This should be fixed in http://git.fedorahosted.org/git/?p=luci.git;a=commit;h=bf7737a64052eefc6295b5a822ddd56a1975fa9c

Compared with Tomcat 5, Tomcat 6 happens to miss 'tomcat_user', 'catalina_options' and 'catalina_base' parameters, at least according to cluster.rng and metadata files.
Comment 6 Marek Grac 2010-08-04 03:34:51 EDT
@Jan:

In RHEL6 it is possible to use /usr/sbin/tomcat6 to run tomcat. This was not possible in previous version so we have to have everything in our resource agent. Now such options can be set directly in their config file and we just add settings necessary for multiple instances.
Comment 9 releng-rhel@redhat.com 2010-11-10 17:11:47 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.